# services/maintenance/apps/metis-configmap.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: metis
  namespace: maintenance
data:
  METIS_BIND_ADDR: :8080
  METIS_INVENTORY_PATH: /app/inventory.titan-rpi4.yaml
  METIS_DATA_DIR: /var/lib/metis
  METIS_DEFAULT_FLASH_HOST: titan-20
  METIS_FLASH_HOSTS: titan-20,titan-21,titan-22,titan-23,titan-24,titan-19,titan-17,titan-15,titan-14,titan-12,titan-11,titan-10,titan-09,titan-08,titan-07,titan-06,titan-05,titan-04,titan-0c,titan-0b,titan-0a
  METIS_LOCAL_HOST: titan-20
  METIS_ALLOWED_GROUPS: admin,maintenance
  METIS_MAX_DEVICE_BYTES: "1000000000000"
  METIS_NAMESPACE: maintenance
  METIS_REMOTE_POD_TIMEOUT_SEC: "14400"
  METIS_RUNNER_IMAGE_AMD64: registry.bstein.dev/bstein/metis:0.1.0-276-amd64 # {"$imagepolicy": "maintenance:metis-amd64"}
  METIS_RUNNER_IMAGE_ARM64: registry.bstein.dev/bstein/metis:0.1.0-276-arm64 # {"$imagepolicy": "maintenance:metis-arm64"}
  METIS_HARBOR_REGISTRY: registry.bstein.dev
  METIS_HARBOR_PROJECT: metis
  METIS_HARBOR_API_BASE: https://registry.bstein.dev/api/v2.0
  METIS_HARBOR_USERNAME: admin
  METIS_HOST_TMP_DIR: /var/tmp/metis-flash-test
  METIS_REMOTE_WORKSPACE_DIR: /var/tmp/metis-workspace
  METIS_SENTINEL_PUSH_URL: http://metis.maintenance.svc.cluster.local/internal/sentinel/snapshot
  METIS_SENTINEL_INTERVAL_SEC: "1800"
  METIS_SENTINEL_NSENTER: "1"
  METIS_IMAGE_RPI4_ARMBIAN_LONGHORN: https://armbian.chi.auroradev.org/dl/rpi4b/archive/Armbian_26.2.1_Rpi4b_noble_current_6.18.9_minimal.img.xz
  METIS_IMAGE_RPI4_ARMBIAN_LONGHORN_SHA256: sha256:c450687adf4cc6a59725c43aefd58baf42ec71bdd379227d403cdde281768e46
  METIS_IMAGE_RPI5_UBUNTU_WORKER: https://cdimage.ubuntu.com/releases/24.04.3/release/ubuntu-24.04.3-preinstalled-server-arm64+raspi.img.xz
  METIS_IMAGE_RPI5_UBUNTU_WORKER_SHA256: sha256:9bb1799cee8965e6df0234c1c879dd35be1d87afe39b84951f278b6bd0433e56
  METIS_IMAGE_RPI5_UBUNTU_CONTROL: https://cdimage.ubuntu.com/releases/24.04.3/release/ubuntu-24.04.3-preinstalled-server-arm64+raspi.img.xz
  METIS_IMAGE_RPI5_UBUNTU_CONTROL_SHA256: sha256:9bb1799cee8965e6df0234c1c879dd35be1d87afe39b84951f278b6bd0433e56
  METIS_IMAGE_JETSON_UBUNTU_ACCELERATOR: https://developer.download.nvidia.com/embedded/L4T/r35_Release_v5.0/JP513-xnx-sd-card-image_b29.zip
  METIS_IMAGE_JETSON_UBUNTU_ACCELERATOR_SHA256: md5:f50c8a481dbaaf206a3933e085cd6cbd
